package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLAlterTablePartition extends SQLObjectImpl implements SQLAlterTableItem {
   private final List<SQLAssignItem> partition = new ArrayList(4);

   public List<SQLAssignItem> getPartition() {
      return this.partition;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.partition);
      }

      visitor.endVisit(this);
   }
}
